#ifndef LCD_H
#define LCD_H

#include "mbed.h"

class LCD_Wait {
public:

LCD_Wait(void);
void Wait(float num_wait);


/* Private Macros ------------------------------------------------------------- */
/* --------------------- BIT DEFINITIONS -------------------------------------- */

/*********************************************************************//**
 * Macro defines for CT16B1->IR Interrupt tegister                  
 **********************************************************************/
#define CT16B1_IR_MR0INT                        ((uint32_t)(1<<0))

/*********************************************************************//**
 * Macro defines for SYSCON->SYSAHBCLKDIV register  bits LPC11U24      page 30
 **********************************************************************/
#define CT16B1_CLK_ENABLE                       ((uint32_t)(1<<8))

/*********************************************************************//**
 * Macro defines for CT16B1->TCR register  bits LPC11U24                page 335
 **********************************************************************/
#define CT16B1_TCR_CEN                           1UL

/*********************************************************************//**
 * Macro defines for CT16B1->MCR register  bits LPC11U24               page 337
 **********************************************************************/
#define CT16B1_MR0I                             ((uint32_t)(1<<0))
#define CT16B1_MR0R                             ((uint32_t)(1<<1))


};

#endif 